Issue 75365

Summary: Missing locale mt-MT (Maltese Malta)
Product: Internationalization Reporter: daniel.rentz
Component: localedataAssignee: stefan.baltzer
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: aep.it46, caolanm, issues, rcasha
Version: 680m199Keywords: ms_interoperability, needhelp
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation on: ---
Developer Difficulty: ---
Attachments:
Description Flags
attachment of that .xml none

Description daniel.rentz 2007-03-13 18:09:40 UTC
Missing locale mt-MT (Maltese Malta) provided by MSW
Comment 1 ooo 2007-04-10 16:46:24 UTC
Accepted, adding keywords easy2dev ms_interoperability needhelp.
Will add the locale if someone contributes the necessary locale data, see
http://www.it46.se/localegen/ for a relatively painless way to create a
mt_MT.xml locale data file.
Comment 2 caolanm 2008-10-17 16:22:16 UTC
cmc->erack: So there is now a mt_MT.xml at it46.se, i.e.
http://www.it46.se/localegen/locale/1224222875_mt_MT.xml
is that what is needed here ?
Comment 3 caolanm 2008-10-17 16:22:46 UTC
Created attachment 57232 [details]
attachment of that .xml
Comment 4 ooo 2008-10-17 21:48:38 UTC
Apparently yes. Reassigning to spare time account.

For legal matters, in case 'cmc' wasn't the submitter himself (were you?), as
the submitters at it46.se grant Alberto Escudero-Pascual the right to contribute
the data to OOo and CLDR, see http://www.it46.se/localegen/copyright.php, I
formally ask Alberto, on Cc, to contribute the data attached to this issue.
Alberto, please leave a note here.

Thanks
  Eike
Comment 5 rcasha 2008-10-18 04:17:54 UTC
Well I'm the one who filled in the blanks at http://www.it46.se (as well as a
good section of the data at ICU, etc), and I grant permission to use it in this
or any other product.
Comment 6 it46 2008-10-18 09:33:56 UTC
it46->erack: Hi Eike, long time no hear. Yes the Maltese locale was created via
our tool and hence transferring to me the possibility of endorsing this code.

it46->cmc: Can you send me your real name and contact details for future reference?

Eike, have you heard about new localegen? We are working with 100 locales at the
moment :)

http://o2.it46.se/afrigen/

More about this soon.
Comment 7 erack 2008-10-19 21:42:15 UTC
@rcasha: What should the exact currency format look like?

Should that be something like
-1€
or
-€1
or
€-1
and/or with spaces between minus/amount/currency?

Because when test-compiling the locale data I got:

Warning: FormatCode formatindex="12" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.

@it46: This is a common error, which is why the warning exists.. could
you please place a note at a prominent place near to the localegen's
currency format section?

Thanks
  Eike

btw, seems that 'cmc' Caolan is only the messenger, don't shoot him ;-)
And no, I haven't heard of afrigen/anloc yet, thanks for the pointer.
Comment 8 erack 2008-10-24 22:39:03 UTC
Well, as there was no answer to the currency format question I went to
http://www.unicode.org/cldr/data/charts/by_type/number.pattern.html to look the
pattern up and will change the currency formats to use
¤#,##0.00;-¤#,##0.00
and derived.
Comment 9 erack 2008-10-24 22:57:16 UTC
In csw locales31:

svtools/source/misc/langtab.src  1.6.140.1
i18npool/source/localedata/data/Attic/mt_MT.xml  1.1.2.1
i18npool/source/localedata/localedata.cxx  1.59.24.2
i18npool/source/localedata/data/localedata_euro.map  1.23.34.1
i18npool/source/localedata/data/makefile.mk  1.47.24.2
Comment 10 rcasha 2008-11-16 05:43:55 UTC
Sorry I didn't respond to the currency question. I just discovered my email
settings were wrong. Yes the one you chose is the correct format. If there are
any other queries let me know.
Comment 11 ooo 2008-12-11 15:02:52 UTC
Reassigning to QA for verification.
Comment 12 stefan.baltzer 2008-12-17 11:54:54 UTC
Verified in CWS locales31.
Comment 13 caolanm 2009-05-05 14:39:41 UTC
closing, is in 3.1 tree